# Crate mcaptcha

Source

## Modules§

api 🔒
data 🔒
  App data: redis cache, database connections, etc.
date 🔒
db 🔒
demo 🔒
docs 🔒
easy 🔒
email 🔒
errors 🔒
pages 🔒
routes 🔒
settings 🔒
static_assets 🔒
stats 🔒
survey 🔒
widget 🔒
  User facing CAPTCHA widget

## Structs§

BAR_CHART
CREDIT_CARD
CSS
DOCS_ICON
Data
  App data
FILES
GITHUB
HELP_CIRCLE
HOME
JS
KEY
MCAPTCHA_TRANS_ICON
MESSAGE
MOBILE_CSS
SETTINGS
SETTINGS_ICON
SOURCE_FILES_OF_INSTANCE
  points to source files matching build commit
Settings
VERIFICATIN_WIDGET_CSS
VERIFICATIN_WIDGET_JS

## Constants§

CACHE_AGE
COMPILED_DATE
DOCS
GIT_COMMIT_HASH
PAGES
PKG_DESCRIPTION
PKG_HOMEPAGE
PKG_NAME
V1_API_ROUTES
VERSION
WIDGET_ROUTES

## Functions§

get_identity_service
get_json_err
main 🔒

## Type Aliases§

AppData
ArcData